kcapi_version
Prev | Common API | Next

## Name

kcapi_version — return machine-usable version number of kcapi library

## Synopsis

`uint32_t kcapi_version (` | void`)`;

## Arguments

`void`

  no arguments

## Description

The function returns a version number that is monotonic increasing for newer versions. The version numbers are multiples of 100. For example, version 1.2.3 is converted to 1020300 -- the last two digits are reserved for future use.

The result of this function can be used in comparing the version number in a calling program if version-specific calls need to be make.

`return` Version number of kcapi library

Prev | Up | Next
kcapi_versionstring | Home | kcapi_pad_iv